Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.objectstyle.cayenne.remote.hessian.service
Class HessianUtil

    java.lang.Object
      org.objectstyle.cayenne.remote.hessian.service.HessianUtil

    public final class HessianUtil

extends java.lang.Object

Hessian related utilities.

Since:
  1.2
Author:
  Andrus Adamchik

Method Summary
`static java.lang.Object` | `cloneViaClientServerSerialization(java.io.Serializable object, EntityResolver serverResolver)` A utility method that clones an object using Hessian serialization/deserialization mechanism, which is different from default Java serialization.
`static java.lang.Object` | `cloneViaServerClientSerialization(java.io.Serializable object, EntityResolver serverResolver)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### cloneViaClientServerSerialization

    public static java.lang.Object cloneViaClientServerSerialization(java.io.Serializable object,
                                                                     EntityResolver serverResolver)
                                                              throws java.lang.Exception

  A utility method that clones an object using Hessian serialization/deserialization mechanism, which is different from default Java serialization.

  Throws:
    `java.lang.Exception`

### cloneViaServerClientSerialization

    public static java.lang.Object cloneViaServerClientSerialization(java.io.Serializable object,
                                                                     EntityResolver serverResolver)
                                                              throws java.lang.Exception

  Throws:
    `java.lang.Exception`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2006 ObjectStyle.org All Rights Reserved.